VarnishAdmin::auth
VarnishAdmin::banUrl
VarnishAdmin
PHP Manual

# VarnishAdmin::ban

(PECL varnish >= 0.3)

VarnishAdmin::ban — Ban URLs using a VCL expression

### Description

public int VarnishAdmin::ban ( string `$vcl_regex` )

### Parameters

`vcl_regex`

  Varnish VCL expression. It's based on the varnish ban command.

### Return Values

Returns the varnish command status.

VarnishAdmin::auth
VarnishAdmin::banUrl
VarnishAdmin
PHP Manual